Magento Forum

   
Page 1 of 2
Error message - can’t install (Problem with PHP Version 5.2.5)
 
frankkugler
Jr. Member
 
Total Posts:  5
Joined:  2007-11-18
 

Hello,

i have a problem with the installation. In the step “Localization” I get the following message. I’m using a server with PHP 5.2.5 and Zend Engine v2.2.0.

The error message:

WarningInvalid argument supplied for foreach() in /www/htdocs/xyz/subdomain_www/lib/Zend/Cache/Backend/File.php on line 460
[0] in Zend_Cache_Backend_File
->_unregisterTag("Zend_Locale_en_US_languagelist_"in /www/htdocs/xyz/subdomain_www/lib/Zend/Cache/Backend/File.php on line 269
[1] in Zend_Cache_Backend_File
->remove("Zend_Locale_en_US_languagelist_"in /www/htdocs/xyz/subdomain_www/lib/Zend/Cache/Backend/File.php on line 210
[2] in Zend_Cache_Backend_File
->save("a:505:{s:2:"aa";s:4:"Afar";s:2:"ab";s:9:"Abkhazian";s:3:"ace";s:8:"Achinese";s:3:"ach";s:5:"Acoli";s""Zend_Locale_en_US_languagelist_"Array[0], ) in /www/htdocs/xyz/subdomain_www/lib/Zend/Cache/Core.php on line 278
[3] in Zend_Cache_Core
->save("a:505:{s:2:"aa";s:4:"Afar";s:2:"ab";s:9:"Abkhazian";s:3:"ace";s:8:"Achinese";s:3:"ach";s:5:"Acoli";s""Zend_Locale_en_US_languagelist_"in /www/htdocs/xyz/subdomain_www/lib/Zend/Locale/Data.php on line 761
[4] in Zend_Locale_Data
::getContent("en_US""languagelist"in /www/htdocs/xyz/subdomain_www/lib/Zend/Locale.php on line 483
[5] in Zend_Locale
->getTranslationList("language"NULLin /www/htdocs/xyz/subdomain_www/lib/Zend/Locale.php on line 594
[6] in Zend_Locale
->getLanguageTranslationList() in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Model/Locale.php on line 169
[7] in Mage_Core_Model_Locale
->getOptionLocales() in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Install/Block/Locale.php on line 81
[8] in Mage_Install_Block_Locale
->getLocaleSelect() in /www/htdocs/xyz/subdomain_www/app/design/install/default/default/template/install/locale.phtml on line 40
[9] in 
include("/www/htdocs/xyz/subdomain_www/app/design/install/default/default/template/install/locale.phtml"in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Block/Template.php on line 116
[10] in Mage_Core_Block_Template
->fetchView("install/default/default/template/install/locale.phtml"in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Block/Template.php on line 143
[11] in Mage_Core_Block_Template
->renderView() in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Block/Template.php on line 188
[12] in Mage_Core_Block_Template
->toHtml() in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Block/Text/List.php on line 38
[13] in Mage_Core_Block_Text_List
->toHtml() in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Block/Abstract.php on line 439
[14] in Mage_Core_Block_Abstract
->_getChildHtml("content"1in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Block/Abstract.php on line 417
[15] in Mage_Core_Block_Abstract
->getChildHtml("content"in /www/htdocs/xyz/subdomain_www/app/design/install/default/default/template/page.phtml on line 96
[16] in 
include("/www/htdocs/xyz/subdomain_www/app/design/install/default/default/template/page.phtml"in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Block/Template.php on line 116
[17] in Mage_Core_Block_Template
->fetchView("install/default/default/template/page.phtml"in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Block/Template.php on line 143
[18] in Mage_Core_Block_Template
->renderView() in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Block/Template.php on line 188
[19] in Mage_Core_Block_Template
->toHtml() in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Model/Layout.php on line 402
[20] in Mage_Core_Model_Layout
->getOutput() in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Controller/Varien/Action.php on line 302
[21] in Mage_Core_Controller_Varien_Action
->renderLayout() in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Install/controllers/WizardController.php on line 142
[22] in Mage_Install_WizardController
->localeAction() in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Controller/Varien/Action.php on line 325
[23] in Mage_Core_Controller_Varien_Action
->dispatch("locale"in /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Controller/Varien/Router/Standard.php on line 149
[24] in Mage_Core_Controller_Varien_Router_Standard
->match(Zend_Controller_Request_Httpin /www/htdocs/xyz/subdomain_www/app/code/core/Mage/Core/Controller/Varien/Front.php on line 166
[25] in Mage_Core_Controller_Varien_Front
->dispatch() in /www/htdocs/xyz/subdomain_www/app/Mage.php on line 380
[26] in Mage
::run("base"in /www/htdocs/xyz/subdomain_www/index.php on line 28

Can you help? Anyone has an idea?

Thanks a lot, Frank

 
Magento Community Magento Community
Magento Community
Magento Community
 
helpinghandhost
Sr. Member
 
Avatar
Total Posts:  171
Joined:  2007-11-12
 

Hi,

Try replacing the config.xml file with this file. I believe Michael originally provided the updated file, and we use it to install Magento on php5.2.5

Replace /magento/app/etc/config.xml

We are using this file when installing Magento 0.6.14100

Hope that helps.

File Attachments
config.xml  (File Size: 12KB - Downloads: 401)
 
Magento Community Magento Community
Magento Community
Magento Community
 
Crucial
Enthusiast
 
Avatar
Total Posts:  770
Joined:  2007-11-07
Phoenix, AZ
 

I’m also getting this error on an account I’m trying to set Magento up. I’ve installed this numerous times, on this same server and on different ones. I can’t get past this error. This seems like a bug in the install itself. Have tried both light and full version, neither work.

 
Magento Community Magento Community
Magento Community
Magento Community
 
frankkugler
Jr. Member
 
Total Posts:  5
Joined:  2007-11-18
 

Hm… I have this error only with my hoster. Local on my pc i have no problems - i’m using xampp.

But where is the problem with the hoster? The hoster can’t give me an answer yet!

 
Magento Community Magento Community
Magento Community
Magento Community
 
frankkugler
Jr. Member
 
Total Posts:  5
Joined:  2007-11-18
 

Solution: after a change to PHP 5.2.3 it’s working fine. With PHP 5.2.5 we have this problem.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Moshe
Magento Team
 
Avatar
Total Posts:  1770
Joined:  2007-08-07
Los Angeles
 

It was never tested on PHP 5.2.5 (came out Nov 8th shock )

 
Magento Community Magento Community
Magento Community
Magento Community
 
frankkugler
Jr. Member
 
Total Posts:  5
Joined:  2007-11-18
 

I have reported the bug…

 
Magento Community Magento Community
Magento Community
Magento Community
 
Crucial
Enthusiast
 
Avatar
Total Posts:  770
Joined:  2007-11-07
Phoenix, AZ
 

Ah, yup. That sounds like it might be the problem. As our servers run cPanel, PHP is automatically updated, which explains why I was able to do these installs last week (and even have clients on the same machine running Magento), but am not able to anymore. Hopefully this will come out very soon!

 
Magento Community Magento Community
Magento Community
Magento Community
 
i960
Guru
 
Avatar
Total Posts:  633
Joined:  2007-10-01
Bakersfield, CA
 

I’m not having any trouble with PHP 5.2.5.  I just installed 0.6.13700 full on my server without any errors.  I have Apache 2.2.6, PHP 5.2.5, and MySQL 5.0.45 all on Windows Server 2003 SP2.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Mark_Kimsal
Sr. Member
 
Total Posts:  186
Joined:  2007-09-12
Michigan, USA
 

This is related to a change in php 5.2.5 when safe_mode is On or open_basedir restrictions are in effect.  No globing can be performed on directories or paths which contain wildcards.

$filesToRemove glob'foobar*/stuff*' );
var_dump($filesToRemove);

php 5.2.4returns empty array
php 5.2.5returns falsetherefore foreach() throws a warning


$filesToRemove 
glob'foobar/stuff' );
var_dump($filesToRemove);

php 5.2.4returns empty array
php 5.2.5returns falsetherefore foreach() throws a warning

Actually, I don’t think the wildcard matters.  You can’t glob when safe_mode is on in 5.2.5

Re: http://www.php.net/ChangeLog-5.php
“Fixed regression in glob() when enforcing safe_mode/open_basedir checks on paths containing ‘*’. (Ilia)”

I think the fix fixed too much.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Crucial
Enthusiast
 
Avatar
Total Posts:  770
Joined:  2007-11-07
Phoenix, AZ
 

We have no open_basedir restrictions in effect, and safe mode is disabled.

-Linux
-Apache 2.2.6
-MySQL 5.0.27
-PHP 5.2.5 (Apache module)

Hope that helps. Looking forward to an update here smile

 
Magento Community Magento Community
Magento Community
Magento Community
 
lipo
Jr. Member
 
Total Posts:  7
Joined:  2007-11-22
 

Same problem here:

http://www.magentocommerce.com/boards/viewthread/1703/

Zend Cache patch in ZF Issue Tracker

http://framework.zend.com/issues/browse/ZF-2200

Karl

 
Magento Community Magento Community
Magento Community
Magento Community
 
GuidoTaglia
Member
 
Avatar
Total Posts:  57
Joined:  2007-10-24
 

Hallo ! I have the same problem on PHP 5.2.5 ( my magento is 0.6.13700 )

This is what I can see :

Warning: Invalid argument supplied for foreach() in /var/www/vhosts/justmurano.it/httpdocs/shop/lib/Zend/Cache/Backend/File.php on line 460[0] in Zend_Cache_Backend_File->_unregisterTag("config_global") in /var/www/vhosts/justmurano.it/httpdocs/shop/lib/Zend/Cache/Backend/File.php on line 269[1] in Zend_Cache_Backend_File->remove("config_global") in /var/www/vhosts/justmurano.it/httpdocs/shop/lib/Zend/Cache/Core.php on line 310[2] in Zend_Cache ...

( ... )

Warning: mysqli_stmt::bind_result() [function.mysqli-stmt-bind-result]: Server returned unknown type 246. Probably your client library is incompatible with the server version you use! in /var/www/vhosts/justmurano.it/httpdocs/shop/lib/Zend/Db/Statement/Mysqli.php on line 227[0] in mysqli_stmt->bind_result(NULL)[1] in call_user_func_array(Array[2], Array[1]) in /var/www/vhosts/justmurano.it/httpdocs/shop/lib/Zend/Db/Statement/Mysqli.php on line 227[2] in Zend_Db_Statement_Mysqli-> ...

( ... )

The server I’m using is just passed from php 5.2.1 to 5.2.5 :-(

Thanks all !

( Guido ITA )

 
Magento Community Magento Community
Magento Community
Magento Community
 
GuidoTaglia
Member
 
Avatar
Total Posts:  57
Joined:  2007-10-24
 

Hallo… Is any uploading I can do on my magento-0.6.13700.zip ?
It does not work on PHP 5.2.5 !  WHY ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Michael
Enthusiast
 
Total Posts:  826
Joined:  2007-08-31
 

It seems that Magento cannot be run under PHP 5.2.5 at the moment. We’ll inlcude all the necessary changes in the next version as soon as ZF Cache issue http://framework.zend.com/issues/browse/ZF-2200 will be fixed.

 
Magento Community Magento Community
Magento Community
Magento Community
 
GuidoTaglia
Member
 
Avatar
Total Posts:  57
Joined:  2007-10-24
 

I really hope this will happen SOON couse I’ve just bought a new domain… They had PHP 5.2.1 for the first 5 days…

my Magento was running so well and I was so so happy !!!

They turned on PHP 5.2.5 a couple of days ago…

:-(

( PS. Sorry if my English is not so correct )

THANK !!! Guido.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
    Back to top
Page 1 of 2